
QGIS Application - Bug report #13052

Problem with reshape

2015-06-30 08:54 AM - Philipe Borba

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21124

Description

The reshape tool stopped working with either lines and polygons in version 2.10. After you perform the operation, the geometry remains

the same.

The tests I have conducted were on Kubuntu 14.04 and on Windows 7.

Associated revisions

Revision d277dd67 - 2015-10-11 09:53 PM - Jürgen Fischer

clear cached wkb after reshape (fixes #13052)

History

#1 - 2015-06-30 10:52 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

Confirmed on master too.

Actually it is like this: if you the tool once then it has no effect (even after saving), if you use the tool more than once then after the second reshape operation

all the edits will show (also the first one).

#2 - 2015-09-13 11:51 PM - Saber Razmjooei

- Operating System deleted (Linux and Windows)

It is also with shapefiles too.

#3 - 2015-10-05 04:28 AM - Jürgen Fischer

- Subject changed from Problem with reshape using postgis layer in qgis version 2.10 to Problem with reshape

#4 - 2015-10-09 08:41 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2015-10-11 12:54 PM - Jürgen Fischer

- Status changed from Open to Closed
Fixed in changeset commit:"d277dd67845e86f2ce85e5e2b7d8df9024a7e8df".
